JUCE: AccessibilityCellInterface Class Reference

JUCE

Public Member Functions | List of all members
AccessibilityCellInterface Class Referenceabstract
juce_gui_basics » accessibility

An abstract interface which represents a UI element that supports a cell interface. More...

`#include <juce_AccessibilityCellInterface.h>`

## Public Member Functions
virtual | ~AccessibilityCellInterface ()=default
| Destructor. More...
virtual int | getColumnIndex () const =0
| Returns the column index of the cell in the table. More...
virtual int | getColumnSpan () const =0
| Returns the number of columns occupied by the cell in the table. More...
virtual int | getRowIndex () const =0
| Returns the row index of the cell in the table. More...
virtual int | getRowSpan () const =0
| Returns the number of rows occupied by the cell in the table. More...
virtual int | getDisclosureLevel () const =0
| Returns the indentation level for the cell. More...
virtual const AccessibilityHandler * | getTableHandler () const =0
| Returns the AccessibilityHandler of the table which contains the cell. More...

## Detailed Description

An abstract interface which represents a UI element that supports a cell interface.

This typically represents a single cell inside of a UI element which implements an AccessibilityTableInterface.

## Constructor & Destructor Documentation

## ◆ ~AccessibilityCellInterface()

virtual AccessibilityCellInterface::~AccessibilityCellInterface | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ getColumnIndex()

virtual int AccessibilityCellInterface::getColumnIndex | ( |  | ) | const
| pure virtual

Returns the column index of the cell in the table.

## ◆ getColumnSpan()

virtual int AccessibilityCellInterface::getColumnSpan | ( |  | ) | const
| pure virtual

Returns the number of columns occupied by the cell in the table.

## ◆ getRowIndex()

virtual int AccessibilityCellInterface::getRowIndex | ( |  | ) | const
| pure virtual

Returns the row index of the cell in the table.

## ◆ getRowSpan()

virtual int AccessibilityCellInterface::getRowSpan | ( |  | ) | const
| pure virtual

Returns the number of rows occupied by the cell in the table.

## ◆ getDisclosureLevel()

virtual int AccessibilityCellInterface::getDisclosureLevel | ( |  | ) | const
| pure virtual

Returns the indentation level for the cell.

## ◆ getTableHandler()

virtual const AccessibilityHandler * AccessibilityCellInterface::getTableHandler | ( |  | ) | const
| pure virtual

Returns the AccessibilityHandler of the table which contains the cell.

The documentation for this class was generated from the following file:

- juce_AccessibilityCellInterface.h